var newMessReqHTTP,contactReqHTTP,newContactReqHTTP ;

//------------------------------------------------------//
//-------- Fonction de suppression des messages --------//
//------------------------------------------------------//
function supprimeMessage(id,login,password){
	var c=confirm("Etes-vous sûr de vouloir supprimer ce(s) message(s)");
	if(c){
		if (id.length==null){
		 suppMessage(id.value,login,password);
		 }
		else{
			for (var i=0; i<id.length;i++) 
			{
					if (id[i].checked) 
					{	
						suppMessage(id[i].value,login,password);
						
					}
			}
		}
	}
	else{
		alert("action annulée");
	}	
}

function ajoutContactToCarnetAdresse(test){
alert (test);
}

//------------------------------------------------------//
//-------- Fonction qui supprime chaque message --------//
//------------------------------------------------------//
function suppMessage(id,login,password) {

	url  = '../messagerie/gestionMessage.php?id='+id+'&action=1&login='+login+'&password='+password;
	newMessReqHTTP = chargerXMLDocMessagerie(url,rafraichissement);
}

//------------------------------------------------------//
//-- Fonction qui appelle pr chaque message le non lu --//
//------------------------------------------------------//
function nonLu(id,login,password){
	for (var i=0; i<id.length;i++) 
		{
				if (id[i].checked) 
				{	
					marquerNonLu(id[i].value,login,password);
				}
 		}
}
//------------------------------------------------------//
//-------- Fonction qui met les messages à non lu ------//
//------------------------------------------------------//
function marquerNonLu(id,login,password){
	url  = '../messagerie/gestionMessage.php?id='+id+'&action=3&login='+login+'&password='+password;
	newMessReqHTTP = chargerXMLDocMessagerie(url,rafraichissement);

}

//------------------------------------------------------//
//-------- Fonction affichage de tous les messages -----//
//------------------------------------------------------//
function affichageListe(login,password){

	url  = '../messagerie/gestionMessage.php?action=4&login='+login+'&password='+password;
	newMessReqHTTP = chargerXMLDocMessagerie(url,rafraichissement);

}

//------------------------------------------------------//
//--------      Fonction qui "rafraichit"         ------//
//------------------------------------------------------//
function rafraichissement() {

	try {
	// seulement si requete terminee et statut OK
	if (newMessReqHTTP.readyState == 4 && newMessReqHTTP.status == 200) {
		
		// insertion du code XHTML genere par le PHP
		document.getElementById('affichage').innerHTML = newMessReqHTTP.responseText;
	}
	else
		 document.getElementById('affichage').innerHTML = "erreure";
	} catch (error){ 
	 //document.getElementById('affichage').innerHTML = "erreurC";
	 //
	 }	
}

function rafraichissement2() {

	try {
	// seulement si requete terminee et statut OK
	if (contactReqHTTP.readyState == 4 && contactReqHTTP.status == 200) {
		
		// insertion du code XHTML genere par le PHP
		document.getElementById('affichageCarnet').innerHTML = contactReqHTTP.responseText;
	}
	else
		 document.getElementById('affichageCarnet').innerHTML = "erreur";
	} catch (error){ 
	 //document.getElementById('affichage').innerHTML = "erreurC";
	 //
	 }	
}
function rafraichissement3() {

	try {
	// seulement si requete terminee et statut OK
	if (newContactReqHTTP.readyState == 4 && newContactReqHTTP.status == 200) {
		
		// insertion du code XHTML genere par le PHP
		document.getElementById('ajoutContact').innerHTML = newContactReqHTTP.responseText;
	}
	else
		 document.getElementById('ajoutContact').innerHTML = "erreur";
	} catch (error){ 
	 //document.getElementById('affichage').innerHTML = "erreurC";
	 //
	 }	
}

//------------------------------------------------------//
//--------     Fonction qui affiche un message    ------//
//------------------------------------------------------//
function getMessage(id,login,password){

newMessReqHTTP ="";
	url  = '../messagerie/gestionMessage.php?action=8&id='+id+'&login='+login+'&password='+password;
	newMessReqHTTP = chargerXMLDocMessagerie(url, rafraichissement);
}

//------------------------------------------------------//
//--- Fonction qui affiche la creation d'un message ----//
//------------------------------------------------------//
function newMessage(login,password,dest,obj){

	newMessReqHTTP ="";
	url  = '../messagerie/gestionMessage.php?action=5&login='+login+'&password='+password+'&dest='+dest+'&obj='+obj;
	newMessReqHTTP = chargerXMLDocMessagerie(url, rafraichissement);
	
}

//--------------------------------------------------------------//
// Fonction qui reaffiche la page d'accueil après crea message -//
//--------------------------------------------------------------//
function ajoutMessage(){
	url  = '../messagerie/messagerie.php';
	newMessReqHTTP = chargerXMLDocMessagerie(url, rafraichissement);
}

//------------------------------------------------------//
//--------  Fonction qui coche tous les messages  ------//
//------------------------------------------------------//
function allChecked() {

 for (i=0; i<document.forms.envoi.length; i++) {
 	mesbox = document.forms.envoi.elements[i];
 	mesbox.checked = document.forms.envoi.coche.checked;
 }
}
//------------------------------------------------------//
//--------  Fonction qui ajoute un destinataire   ------//	
//------------------------------------------------------//

function ajoutChamp(contact){
	
	dests = document.forms.envoi2.destinataire.value;
	if(dests!="")
	document.forms.envoi2.destinataire.value=dests+', '+contact;
	else
	document.forms.envoi2.destinataire.value=contact;
}

//------------------------------------------------------//
//------- Fonction qui ajoute un contact au carnet------//	
//------------------------------------------------------//
function ajoutContact(id){
	alert("ckljvclk");
	url  = '../messagerie/gestionMessage.php?action=7&id='+id;
	newContactReqHTTP = chargerXMLDocMessagerie(url, rafraichissement3);	
}
//------------------------------------------------------//
//------- Fonction qui supprime un contact au carnet------//	
//------------------------------------------------------//
function suppContact(){

}

function gestionContact(id){
	
	url  = '../messagerie/gestionMessage.php?action=7&id='+id;
	newMessReqHTTP = chargerXMLDocMessagerie(url, rafraichissement);	
}
